Cancel process
curl --request POST \
--url https://phonefarm.withmithras.com/processes/{process_id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"requested_by": {
"system": "<string>",
"user": "<string>",
"metadata": {}
},
"strategy": "soft_then_force",
"force_after_seconds": 10
}
'import requests
url = "https://phonefarm.withmithras.com/processes/{process_id}/cancel"
payload = {
"reason": "<string>",
"requested_by": {
"system": "<string>",
"user": "<string>",
"metadata": {}
},
"strategy": "soft_then_force",
"force_after_seconds": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
requested_by: {system: '<string>', user: '<string>', metadata: {}},
strategy: 'soft_then_force',
force_after_seconds: 10
})
};
fetch('https://phonefarm.withmithras.com/processes/{process_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"process": {
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_type": "<string>",
"target": {},
"requested_by": {},
"result": {},
"timestamps": {},
"linked_ids": {},
"partial_progress": {},
"request_id": "<string>",
"callback": {
"url": "<string>",
"metadata": {}
},
"error": {}
},
"cancelled_queue_item_ids": [
"<string>"
],
"active_queue_item_ids": [
"<string>"
],
"active_target": {},
"termination": {}
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Processes
Cancel process
Request cooperative or escalated cancellation for a public process.
POST
/
processes
/
{process_id}
/
cancel
Cancel process
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Cancellation request result.
⌘I